## ros-indigo-webtest 2.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(webtest)

# For ease of use, this CMakeLists allows to use this code from source, as if it were a normal catkin package.
# However no ROS/catkin debian package is provided for it.
# It is just a pip package that your packages should depend on (using rosdep pip dependency mechanism).
# We should follow closely https://github.com/gerkey/ros1_external_use

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(webtest)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # Nose Tests
    ############

    # Curerntly not testing. WSGIProxy2 needs a ROS/deb/ubuntu/fedora package.
    # Lets trust the developer here...
    # catkin_add_nosetests(tests)

endif()

=== debian/changelog ===
ros-indigo-webtest (2.0.18-2trusty) trusty; urgency=high

  * Avoid deprecation warning with py3.4

 -- AlexV <asmodehn@gmail.com>  Wed, 04 Feb 2015 15:00:00 -0000

ros-indigo-webtest (2.0.17-2trusty) trusty; urgency=high

  * Properly check for default cookiejar arguments
    [Julian Berman]
  * Avoid raising encoding errors from debugapp (needed to use with WSGIProxy2)
    [Laurence Rowe]

 -- AlexV <asmodehn@gmail.com>  Fri, 19 Dec 2014 15:00:00 -0000

ros-indigo-webtest (2.0.16-2trusty) trusty; urgency=high

  * Fixed #110. Forced values for Radio inputs are no longer ignored by value
    property on get.
    [bayprogrammer]
  * Added method TestApp.set_parser_features to change the parser_features used
    by BeautifulSoup.
    [tomasmoreyra]
  * Added app.set_cookie
    [luhn]

 -- AlexV <asmodehn@gmail.com>  Thu, 18 Sep 2014 15:00:00 -0000

ros-indigo-webtest (2.0.15-2trusty) trusty; urgency=high

  * Fixed #73. Python < 2.6.5 does not support unicode as keyword arguments names.
    [Stepan Kolesnik]
  * Fixed #84 Application cookies for localhost are no longer ignored
    [gawel]
  * Fixed #89 remove WSGIWarning: You are not supposed to send a body in a DELETE
    request because we now have a good reason for that. See http://bit.ly/1tb3yxW
    [gawel]
  * Fixed #92 You can now override TestApp.JSONEncoder to use a custom encoder
    [gawel]
  * Fixed #93 Support basic authentication
    [gawel]
  * Fixed #103 Broken "Edit me on GitHub" links in documentation
    [gawel]
  * Fixed #106 Make wrapping the app in the lint middleware optional
    [dmlayton]
  * Fixed #107 Explicit error message when WSGIProxy2 is not installer
    [gawel]
  * Fixed #108 cgi.parse_qsl is pending deprecation
    [gawel]

 -- AlexV <asmodehn@gmail.com>  Wed, 16 Apr 2014 15:00:00 -0000

ros-indigo-webtest (2.0.14-2trusty) trusty; urgency=high

  * Allow .select() on <select>s and <select multiple>s.
    [Markus Bertheau]

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jan 2014 15:00:00 -0000

ros-indigo-webtest (2.0.13-2trusty) trusty; urgency=high

  * Allow selecting <select> options by text
    [Markus Bertheau]

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jan 2014 15:00:00 -0000

ros-indigo-webtest (2.0.12-2trusty) trusty; urgency=high

  * Ignore the value attribute of file inputs
    [Markus Bertheau]
  * Allow selecting the form submit button by its value
    [Markus Bertheau]

 -- AlexV <asmodehn@gmail.com>  Thu, 16 Jan 2014 15:00:00 -0000

ros-indigo-webtest (2.0.11-2trusty) trusty; urgency=high

  * Depend on unittest2 only for Python versions lower than 2.7
    [iElectric]
  * Add an optional parameter to TestApp, allowing the user to specify the
    parser used by BeautifulSoup
    [lyndsysimon]

 -- AlexV <asmodehn@gmail.com>  Sat, 28 Dec 2013 15:00:00 -0000

ros-indigo-webtest (2.0.10-2trusty) trusty; urgency=high

  * Make StopableWSGIServer thread daemonic
    [lrowe]

 -- AlexV <asmodehn@gmail.com>  Wed, 13 Nov 2013 15:00:00 -0000

ros-indigo-webtest (2.0.9-2trusty) trusty; urgency=high

  * Make sure Upload.content_type is not ignored
    https://github.com/Pylons/webtest/pull/88
    [Marius Gedminas]

 -- AlexV <asmodehn@gmail.com>  Tue, 17 Sep 2013 15:00:00 -0000

ros-indigo-webtest (2.0.8-2trusty) trusty; urgency=high

  * Allow checking/unchecking a set of same-named checkboxes by assigning a list of values.
    [carljm]
  * fix "AttributeError: 'InputWrapper' object has no attribute 'seek'"
    [iElectric]
  * Added xhr=True parameter to TestApp.get, TestApp.post, TestApp.head, TestApp.delete
    [kharandziuk]
  * Remove old (and broken?) casperjs/selenium backward compat imports. Fix
    https://github.com/gawel/webtest-selenium/issues/9
    [gawel]
  * Allow optionally specifying the MIME type of an uploaded form file. Fixes #86
    [Marius Gedminas]

 -- AlexV <asmodehn@gmail.com>  Mon, 16 Sep 2013 15:00:00 -0000

ros-indigo-webtest (2.0.7-2trusty) trusty; urgency=high

  * Detect JSON if mimetype ends with +json, such as application/vnd.webtest+json
    [homm]
  * Fixed #72. Use WSGIServer new api even if there waitress has backward compat.
    [gawel]
  * Fixed #50. Corrected default value for the delete params argument.
    [noonat]
  * Be sure to decode the content if it is gziped before returning it
    [Alexis Métaireau]

 -- AlexV <asmodehn@gmail.com>  Tue, 06 Aug 2013 15:00:00 -0000

ros-indigo-webtest (2.0.6-2trusty) trusty; urgency=high

  * fixed #64. cookiejar api has changed in python3.3 [gawel]
  * allow to use a fixed StopableWSGIServer [gawel]
  * Do not alter the BeautifulSoup object when parsing forms. [Georges
    Dubus]
  * Remove first newline while parse textarea block, how modern browsers does.
    [Victor Safronovich] pull #69

 -- AlexV <asmodehn@gmail.com>  Wed, 22 May 2013 15:00:00 -0000

ros-indigo-webtest (2.0.5-2trusty) trusty; urgency=high

  * Ignore select.error (not socket.error) following
    StopableWSGIServer.shutdown. [Laurence Rowe]
  * Handle the short form of <select multiple> [Marius Gedminas]

 -- AlexV <asmodehn@gmail.com>  Thu, 11 Apr 2013 15:00:00 -0000

ros-indigo-webtest (2.0.4-2trusty) trusty; urgency=high

  * Correctly handle <option> elements with no value attribute
    [Marius Gedminas]
  * Ignore socket.error following StopableWSGIServer.shutdown. [Laurence Rowe]
  * <button> without type='submit' attribute is treated as Submit
    control [Andrey Lebedev].
  * Support for redirects having relative "Location" header [Andrey Lebedev]

 -- AlexV <asmodehn@gmail.com>  Wed, 27 Mar 2013 15:00:00 -0000

ros-indigo-webtest (2.0.3-2trusty) trusty; urgency=high

  * Treat strings in the WSGI environment as native strings, compliant with
    PEP-3333. [wosc]

 -- AlexV <asmodehn@gmail.com>  Mon, 18 Mar 2013 15:00:00 -0000

ros-indigo-webtest (2.0.2-2trusty) trusty; urgency=high

  * Allow TestResponse.click() to match HTML content again. [ender672]
  * Support secure cookies [Andrey Lebedev]



=== debian/control ===
Source: ros-indigo-webtest
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-bs4, python-mock, python-nose, python-pastedeploy, python-pyquery, python-six, python-waitress (>= 0.8.5), python-webob (>= 1.2), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-webtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bs4, python-six, python-waitress (>= 0.8.5), python-webob (>= 1.2)
Description: Wraps any WSGI application and makes it easy to send test requests to that application, without starting up an HTTP server.
 http://webtest.readthedocs.io/en/latest/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-webtest//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
